<?php  include_once('../../config/db.php');  //include_once('../config/check.php'); 






$query = "  SELECT a.*,b.name bname FROM aduom a
            LEFT JOIN aduom b ON a.uombase=b.id  ";



$statement = $conn->prepare($query);
$statement->execute();
$number_filter_row = $statement->rowCount();

$result = $statement->fetchAll();

$data = array();



foreach($result as $row)
{
  
   $edit = ' <form method="post" action="#" >  <button type="submit" style="background:none;border:none;padding:0px; outline:none; " name="edit" value="' . $row["id"] . '"   "> <i class="fa fa-edit" style="color:green;" ></i>  </button></form> ' ; 
   $delete = ' <form method="post" action="#" >  <button type="submit" style="background:none;border:none;padding:0px; font-color:red; outline:none; " name="delete" value="' . $row["id"] . '"   "> <i class="fa fa-trash" style="color:red;" ></i>  </button></form> ' ; 
      
   if( $row['uomgroup'] ==1)
    { 
       $uomgroup='YES' ;
       $uombase = $row['bname'];
       $uomrate = number_format($row['uomrate'], 2) ;
   }
    else
    { 
      $uomgroup='NO'; 
      $uombase='';
      $uomrate='';
   }
  
   $sub_array = array();
  
   
   $sub_array[] =  $delete ;
   $sub_array[] =  $edit ;
   $sub_array[] =  $row['date'];
   $sub_array[] =  $row['name'];
   $sub_array[] =  $row['code'];
   $sub_array[] =  $row['description'];
   $sub_array[] =  $uomgroup ;
   $sub_array[] =  $uomrate ;
   $sub_array[] =  $uombase ;

//    $sub_array[] = $row['email'];
//    $sub_array[] = $row['bname'];
//    $sub_array[] = $row['pin'];
//    $sub_array[] = $row['vat'];
//    $sub_array[] = $row['address'];
//    $sub_array[] = $row['location'];
//    $sub_array[] = $row['cname'];
  
   $data[] = $sub_array;

}

function count_all_data($conn,$query)
{
 $statement = $conn->prepare($query);
 $statement->execute();
 return $statement->rowCount();
}

$output = array(
                       "draw"       =>  $number_filter_row ,
                        "recordsTotal"   =>  count_all_data($conn,$query),
                        "recordsFiltered"  =>  $number_filter_row,
                        "data"       =>  $data
);

echo json_encode($output);

?>




